<?php

namespace Ulmus\User\Authorize\Bearer;

enum JsonWebTokenTypeEnum
{
    case JWT;

    public static function list() : array
    {
        return array_map(fn(JsonWebTokenTypeEnum $case) => $case->name, static::cases());
    }

    public static function exists(string $key) : bool
    {
        return in_array($key, static::list());
    }
}
